Skip to Content

Delete a brand

Deletes a brand. The default brand cannot be deleted; domains that used the deleted brand fall back to the default.

DELETE
/v1/brands/{slug}

Deletes a brand. The default brand cannot be deleted; domains that used the deleted brand fall back to the default.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

slug*string
Match^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$

Response Body

SuccessResponse

application/json
  1. response
success*boolean
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.brands.remove({
  "slug": "example"
});
Example Response
{
  "success": true
}

Related documentation